#
# spec file for package kauth
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5Auth5
%define _tar_path 5.9
Name:           kauth
Version:        5.9.0
Release:        0
%define kf5_version %{version}
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  libpolkit-qt5-1-devel
%if %{with lang}
BuildRequires:  libqt5-linguist-devel >= 5.2.0
%endif
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
Summary:        Framework which lets applications perform actions as a privileged user
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM 0001-Create-reproducible-builds.patch
Patch0:         0001-Create-reproducible-builds.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KAuth is a framework to let applications perform actions as a privileged user.

%package -n %lname
Summary:        Framework which lets applications perform actions as a privileged user
Group:          System/GUI/KDE
Obsoletes:      libKF5Auth4
%if %{with lang}
Recommends:     %lname-lang = %{version}
%endif

%description -n %lname
KAuth is a framework to let applications perform actions as a privileged user.

%package devel
Summary:        Framework which lets applications perform actions as a privileged user
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules
Requires:       kcoreaddons-devel >= %{_tar_path}

%description devel
KAuth is a framework to let applications perform actions as a privileged user.
Development files.

%lang_package -n %lname
%prep
%setup -q
%patch0 -p1

%build
  %cmake_kf5 -d build -- -DSYSCONF_INSTALL_DIR=%{_kf5_sysconfdir}
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5 --with-qt --without-mo
%endif

%if 0%{?suse_version} <= 1310
# we need this for older oS releases; only Factory/13.2 has the whitelist
echo "setBadness('suse-dbus-unauthorized-service', 0)" > $RPM_SOURCE_DIR/%name-rpmlintrc
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f %{name}5.lang
%endif

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5Auth.so.*
%{_kf5_plugindir}/
%dir %{_kf5_libdir}/libexec
%{_kf5_libdir}/libexec/kauth
%config %{_kf5_sysconfdir}/dbus-1/system.d/org.kde.kf5auth.conf

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Auth.so
%{_kf5_libdir}/cmake/KF5Auth/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_includedir}/*.h
%{_kf5_mkspecsdir}/qt_KAuth.pri
%{_kf5_datadir}/kauth/

%changelog
